#### D.12.6.10 verify

Procedure from library `rootsmr.lib` (see rootsmr_lib).

Usage:
  verify(p,B,I); p poly, B,I,ideal

Return:
  integer: 1 if and only if the polynomial p splits the points of V(I). It's used to check the result of randcharpoly

Assume:
  I is given by a Groebner basis and B is an ordered monomial basis of r/I, r = basering

Note:
  comments the result if printlevel>0 (default: printlevel=0)

Example:

    LIB "rootsmr.lib";
    ring r = 0,(x,y),dp;
    poly f = x3-xy+y-13+x4-y2x;
    ideal i = x4-y2x,y2-13;
    i = std(i);
    ideal b = qbase(i);
    poly p = randcharpoly(b,i);
    verify(p,b,i);
    ==> 1

See also: randcharpoly.

User manual for Singular version 4.4.1, 2025, generated by texi2html.